// ToUcamDlg.h : header file
//

#if !defined(AFX_TOUCAMDLG_H__87FD698A_2482_44BA_886B_5393C2E3DDE8__INCLUDED_)
#define AFX_TOUCAMDLG_H__87FD698A_2482_44BA_886B_5393C2E3DDE8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//#define DEVICE_STRING "Audio Control Microphone"
#define DEVICE_STRING "Philips ToUcam Pro Camera; Audi"
#define ON_TIME		500
#define OFF_TIME	1000

/////////////////////////////////////////////////////////////////////////////
// CToUcamDlg dialog

class CToUcamDlg : public CDialog
{
// Construction
public:
	CToUcamDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CToUcamDlg)
	enum { IDD = IDD_TOUCAM_DIALOG };
	CString	m_edit1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToUcamDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CToUcamDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	UINT m_nNumMixers;
	HMIXER m_hMixer;
	MIXERCAPS m_mxcaps;

	DWORD m_dwMinimum, m_dwMaximum;
	DWORD m_dwVolumeControlID;
	
	UINT_PTR m_nTimer_ON;
	UINT_PTR m_nTimer_OFF;
	
	BOOL find_ToUcam(void);
	BOOL GetVolumeControl(void);
	BOOL SetVolumeValue(DWORD);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOUCAMDLG_H__87FD698A_2482_44BA_886B_5393C2E3DDE8__INCLUDED_)
